net.dontdrinkandroot.utils.resource

## Class StreamableWebResource

- java.lang.Object
- - net.dontdrinkandroot.utils.resource.StreamableWebResource

Direct Known Subclasses:
  CachedFileResource

    public abstract class StreamableWebResource
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`StreamableWebResource()`

### Method Summary

Methods
`abstract Long` `getContentLength()`
`abstract String` `getContentType()`
`abstract Integer` `getErrorCode()`
`abstract String` `getErrorMessage()`
`abstract Long` `getExpiry()`
`abstract String` `getFileName()`
`abstract Long` `getLastModified()`
`abstract String` `getTextEncoding()`
`abstract void` `write(OutputStream os)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StreamableWebResource

    public StreamableWebResource()

### Method Detail

#### write

    public abstract void write(OutputStream os)
                        throws IOException

Throws:
  `IOException`

#### getErrorCode

    public abstract Integer getErrorCode()

#### getErrorMessage

    public abstract String getErrorMessage()

#### getFileName

    public abstract String getFileName()

#### getContentType

    public abstract String getContentType()

#### getTextEncoding

    public abstract String getTextEncoding()

#### getContentLength

    public abstract Long getContentLength()

#### getLastModified

    public abstract Long getLastModified()

#### getExpiry

    public abstract Long getExpiry()